<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorPrimary"
    android:focusable="true"
    android:focusableInTouchMode="true"
    tools:context=".ui.PriceInputActivity">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/llBack"
        android:layout_width="200dp"
        android:layout_height="88dp"
        android:orientation="horizontal"
        android:gravity="center_vertical"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/tvBack"
            app:layout_constraintTop_toTopOf="@+id/tvBack"
            app:layout_constraintBottom_toBottomOf="@+id/tvBack"
            android:layout_width="24dp"
            android:layout_height="48dp"
            android:layout_marginLeft="32dp"
            android:padding="6dp"
            android:src="@mipmap/ic_left_arrow"
            android:contentDescription="@string/back" />

        <TextView
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginLeft="16dp"
            android:textColor="@color/white"
            android:text="@string/back"
            android:textSize="24sp"/>

    </androidx.appcompat.widget.LinearLayoutCompat>

    <TextView
        android:id="@+id/tvTitle"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="88dp"
        android:gravity="center"
        android:textColor="@color/white"
        android:text="收款"
        android:textSize="36sp"/>

    <TextView
        android:id="@+id/tvPriceText"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/llBack"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginLeft="32dp"
        android:layout_marginTop="54dp"
        android:textColor="@color/white"
        android:text="收款金额"
        android:textSize="32sp"/>

    <TextView
        android:id="@+id/tvRefundPriceTotal"
        app:layout_constraintStart_toEndOf="@+id/tvPriceText"
        app:layout_constraintTop_toBottomOf="@+id/llBack"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="54dp"
        android:textColor="@color/white"
        android:textStyle="bold"
        android:visibility="gone"
        tools:text="￥319.00"
        tools:visibility="visible"
        android:textSize="32sp"/>

    <ImageView
        android:id="@+id/ivRmb"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/llBack"
        android:layout_width="42dp"
        android:layout_height="96dp"
        android:layout_marginStart="32dp"
        android:layout_marginTop="113dp"
        android:src="@mipmap/ic_rmb"
        android:layout_marginLeft="32dp" />

    <View
        android:id="@+id/vBaseLine"
        android:layout_width="match_parent"
        android:layout_height="2dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/llBack"
        android:layout_marginTop="231dp"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="32dp"
        android:background="#89889A"
        android:layout_marginLeft="32dp" />

    <TextView
        android:id="@+id/etPrice"
        android:layout_width="591dp"
        android:layout_height="wrap_content"
        android:hint="输入收款金额"
        android:textColor="@color/white"
        android:textColorHint="#89889A"
        android:textAlignment="textEnd"
        android:textSize="64sp"
        android:paddingTop="5dp"
        android:layout_marginEnd="32dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/ivRmb"
        app:layout_constraintBottom_toBottomOf="@+id/ivRmb"
        android:layout_marginRight="32dp"
        android:gravity="end" />

    <TextView
        android:id="@+id/tvInvalidRefundPrice"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="32dp"
        app:layout_constraintTop_toBottomOf="@+id/vBaseLine"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_marginTop="16dp"
        android:textColor="@color/color_FF4E33"
        android:visibility="gone"
        android:text="退款金额无效"
        tools:visibility="visible"
        android:textSize="26sp"/>

    <com.fastcashier.lib_common.ui.widget.DecimalKeyboard
        android:id="@+id/numKeyboard"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_width="match_parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginBottom="130dp"
        android:layout_height="637dp" />

    <TextView
        android:id="@+id/tvScanPayCode"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintWidth_percent="0.5"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_height="130dp"
        android:textColor="@color/white"
        android:text="扫码收款"
        android:textSize="36sp"
        android:gravity="center"
        android:background="@drawable/app_paycode_scan"
        android:layout_width="0dp"/>

    <TextView
        android:id="@+id/tvGeneratePayCode"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintWidth_percent="0.5"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_height="130dp"
        android:textColor="@color/white"
        android:textSize="36sp"
        android:text="生成收款码"
        android:gravity="center"
        android:background="@drawable/app_paycode_generate"
        android:layout_width="0dp"/>

    <TextView
        android:id="@+id/tvRefund"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_height="130dp"
        android:textColor="@color/white"
        android:textSize="36sp"
        android:text="确认退款"
        android:gravity="center"
        android:visibility="gone"
        android:background="@drawable/app_paycode_generate"
        android:layout_width="0dp"/>

<!--    &lt;!&ndash;封装成一个View&ndash;&gt;-->
<!--    <androidx.constraintlayout.widget.ConstraintLayout-->
<!--        android:visibility="gone"-->
<!--        android:id="@+id/loading"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="match_parent">-->

<!--        <LinearLayout-->
<!--            android:layout_width="306dp"-->
<!--            android:layout_height="279dp"-->
<!--            android:background="@drawable/app_loading_bg"-->
<!--            android:gravity="center_horizontal"-->
<!--            android:orientation="vertical"-->
<!--            app:layout_constraintBottom_toBottomOf="parent"-->
<!--            app:layout_constraintEnd_toEndOf="parent"-->
<!--            app:layout_constraintStart_toStartOf="parent"-->
<!--            app:layout_constraintTop_toTopOf="parent">-->

<!--            <ImageView-->
<!--                android:layout_width="98dp"-->
<!--                android:layout_height="98dp"-->
<!--                android:layout_marginTop="30dp"-->
<!--                android:src="@mipmap/ic_qr_code" />-->

<!--            <TextView-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_marginTop="23dp"-->
<!--                android:text="生成付款码中"-->
<!--                android:textColor="@color/white"-->
<!--                android:textSize="36sp" />-->

<!--            <com.github.ybq.android.spinkit.SpinKitView-->
<!--                android:id="@+id/spin_kit"-->
<!--                style="@style/SpinKitView.Large.ThreeBounce"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_gravity="center"-->
<!--                android:layout_marginTop="18dp"-->
<!--                app:SpinKit_Color="@color/white" />-->

<!--        </LinearLayout>-->
<!--    </androidx.constraintlayout.widget.ConstraintLayout>-->


</androidx.constraintlayout.widget.ConstraintLayout>